<html lang="en" dir="ltr">
<!DOCTYPE html>
  <head>

    <!--Import Google Icon Font-->
    <link rel = "stylesheet"
       href = "https://fonts.googleapis.com/icon?family=Material+Icons">
    <link rel = "stylesheet"
       href = "https://cdnjs.cloudflare.com/ajax/libs/materialize/0.97.3/css/materialize.min.css">
    <script type = "text/javascript"
       src = "https://code.jquery.com/jquery-2.1.1.min.js"></script>
<!-- Compiled and minified JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>

    </script>
    <!--Let browser know website is optimized for mobile-->
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>

    <style>

    color: #00bcd4;
.title {
  text-align: center;
  font-weight: 100;
}

.wrapper {
  height: 400px;
  width: 320px;
  overflow: hidden;
  background-color: white;
  position: fixed;
  top: 130px;
  left: 82%;
  -webkit-transform: translateX(-50%);
          transform: translateX(-50%);
  box-shadow: 0px 3px 3px 0px rgba(50, 50, 50, 0.5);
  transition: 0.3s ease;
}
.wrapper .inner {
  overflow: scroll;
  height: 520px;
  padding-top: 64px;
  background: #fafafa  ;
  -ms-overflow-style: none;
  overflow: -moz-scrollbars-none;
}
.wrapper .inner::-webkit-scrollbar {
  width: 0 !important;
}
.wrapper .inner .content {
  padding: 10.6666666670px;
  position: relative;
  margin-bottom: 32px;
}

.nav {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  height: 64px;
  z-index: 100;
  transition: 0.3s ease;
}
.nav .default-nav {
  height: 64px;
  width: 100%;
  position: absolute;
  left: 0;
  top: 0;
  z-index: 110;
  background-color:#009688;
  border-bottom: 5px solid #b0bec5;
   border-radius: 25px;
  color: #00bcd4;
  box-shadow: 0px 20px 3px 0px rgba(50, 50, 50, 0.1);
  transition: 0.3s ease;
}
.nav .default-nav .main-nav {
  position: absolute;
  left: 0;
  width: 100%;
  height: 64px;
  top: 0;
  margin: 0;
  padding: 0;
  list-style: none;
  transition: 0.3s ease;
}
.nav .default-nav .main-nav .toggle {
  height: 60px;
  width: 90px;
  background: url(mindmine.png);
  background-size: contain;
  margin: 5px;
  float: left;
}
.nav .default-nav .main-nav .toggle:hover {
  cursor: pointer;
}
.nav .default-nav .main-nav .options {
  height: 32px;
  width: 32px;
  background: url(https://s3-us-west-2.amazonaws.com/s.cdpn.io/104946/ic_more_vert_white_48dp.png);
  background-size: contain;
  margin: 16px;
  position: absolute;
  right: 0;
}

.nav .default-nav .main-nav .options:hover {
  cursor: pointer;
}
.nav .default-nav .main-nav .main-nav-item {
  float: left;
  height: 64px;
  margin-right: 50px;
  position: relative;
  line-height: 64px;
  transition: 0.3s ease;
}
.nav .default-nav .main-nav .main-nav-item .main-nav-item-link {
  display: block;
  position: relative;
  height: 64px;
  width: 100%;
  text-align: center;
  line-height: 64px;
  text-decoration: none;
  color: inherit;
  transition: 0.3s ease;
}

.bottom {
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  height: 64px;
  background: #00bcd4;
  /* box-shadow: 0px -3px 3px 0px rgba(50, 50, 50, 0.1); */
}
.bottom .input {
  height: 64px;
  background: ##00bcd4;
  border: none;
  width: calc(100% - 64px);
  position: absolute;
  left: 0;
  top: 0;
  padding: 0 5%;
  resize: none;
  overflow: scroll;
  padding-top: 40px;
  font-weight: 300;
  -ms-overflow-style: none;
  overflow: -moz-scrollbars-none;
}
.bottom .input:focus {
  outline: none;
}
.bottom .input::-webkit-scrollbar {
  width: 0 !important;
}
.bottom .send {
  position: fixed;
  height: 42.6666666667px;
  width: 42.6666666667px;
  border-radius: 50px;
  border: 0;
  background:#263238;
  color: #263238;
  bottom: 10.6666666667px;
  right: 10.6666666667px;
}
.bottom .send:before {
  content: '';
  background: url(https://s3-us-west-2.amazonaws.com/s.cdpn.io/104946/ic_send_white_48dp.png) no-repeat center center;
  background-size: 25.6px;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
}
.bottom .send:focus {
  outline: none;
}
.bottom .send:hover {
  cursor: pointer;
}

.message-wrapper {
  position: relative;
  overflow: hidden;
  width: 100%;
  margin: 10.6666666667px 0;
  padding: 10.6666666667px 0;
}
.message-wrapper .circle-wrapper {
  height: 42.6666666667px;
  width: 42.6666666667px;
  border-radius: 50px;
}
.message-wrapper .text-wrapper {
  padding: 10.6666666667px;
  min-height: 42.6666666667px;
  width: 60%;
  margin: 0 10.6666666667px;
  box-shadow: 0px 1px 0px 0px rgba(50, 50, 50, 0.3);
 border-radius: 25px;
  font-weight: 300;
  position: relative;
  /* word-break: break-all; */
  opacity: 0;
}
.message-wrapper .text-wrapper:before {
  content: '';
  width: 0;
  height: 0;
  border-style: solid;
}
.message-wrapper.them .circle-wrapper, .message-wrapper.them .text-wrapper {
  background: #F44336;
  float: left;
  color: ##00bcd4;
}
.message-wrapper.them .text-wrapper:before {
  border-width: 0 10px 10px 0;
  border-color: transparent #F44336 transparent transparent;
  position: absolute;
  top: 0;
  left: -9px;
}
.message-wrapper.me .circle-wrapper, .message-wrapper.me .text-wrapper {
  background: #FF5722;
  float: right;
  color: #333333;
}
.message-wrapper.me .text-wrapper {
  background: ##00bcd4;
}
.message-wrapper.me .text-wrapper:before {
  border-width: 10px 10px 0 0;
  border-color: ##00bcd4 transparent transparent transparent;
  position: absolute;
  top: 0;
  right: -9px;
}

@media (max-width: 560px) {
  .wrapper {
    width: 100%;
    height: 100%;
    height: 100vh;
    top: 0;
    left: 0;
    -webkit-transform: translateX(0);
            transform: translateX(0);
  }
  .wrapper .inner {
    height: 100%;
    height: 100vh;
  }
}

 </style>

    <title> button</title>
  </head>
  <body>

        <div class="fixed-action-btn direction-top" style = "bottom: 70px; right: 24px;" onclick="myFunction()">
       <a class="btn-floating btn-large #00bcd4">
         <i class="large material-icons">mode_edit</i>
       </a>
       <ul>
         <div class="wrapper" id="wrapper">
         <nav class="nav" id="nav">
              <div class="default-nav">
               <div class="main-nav">
                 <div class="toggle"></div>
                 <div class="main-nav-item"><a class="main-nav-item-link" href="#"> chats </a></div>
                 <div class="options"></div>
               </div>
             </div>
           </nav>
           <div class="inner" id="inner">
             <div class="content" id="content"></div>
           </div>
           <div class="bottom" id="bottom">
             <textarea class="input" id="input"></textarea>
             <div class="send" id="send"></div>
           </div>
         </div>
       </ul>
     </div>

  </body>
</html>


<script>

document.addEventListener('DOMContentLoaded', function() {
    var elems = document.querySelectorAll('.fixed-action-btn');
    var instances = M.FloatingActionButton.init(elems, {

    });
  });

function myFunction() {
  var x = document.getElementById("wrapper");
  if (x.style.display === "none")
  {
    x.style.display = "block";
  }  else {
    x.style.display = "none";
  }
}

var _createClass = function () {function defineProperties(target, props) {for (var i = 0; i < props.length; i++) {var descriptor = props[i];descriptor.enumerable = descriptor.enumerable || false;descriptor.configurable = true;if ("value" in descriptor) descriptor.writable = true;Object.defineProperty(target, descriptor.key, descriptor);}}return function (Constructor, protoProps, staticProps) {if (protoProps) defineProperties(Constructor.prototype, protoProps);if (staticProps) defineProperties(Constructor, staticProps);return Constructor;};}();function _classCallCheck(instance, Constructor) {if (!(instance instanceof Constructor)) {throw new TypeError("Cannot call a class as a function");}}var Messenger = function () {
  function Messenger() {_classCallCheck(this, Messenger);
    this.messageList = [];
    this.deletedList = [];

    this.me = 1; // completely arbitrary id
    this.them = 5; // and another one

    this.onRecieve = function (message) {return console.log('Recieved: ' + message.text);};
    this.onSend = function (message) {return console.log('Sent: ' + message.text);};
    this.onDelete = function (message) {return console.log('Deleted: ' + message.text);};
  }_createClass(Messenger, [{ key: 'send', value: function send()

    {var text = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
      text = this.filter(text);

      if (this.validate(text)) {
        var message = {
          user: this.me,
          text: text,
          time: new Date().getTime() };


        this.messageList.push(message);

        this.onSend(message);
      }
    } }, { key: 'recieve', value: function recieve()

    {var text = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
      text = this.filter(text);

      if (this.validate(text)) {
        var message = {
          user: this.them,
          text: text,
          time: new Date().getTime() };


        this.messageList.push(message);

        this.onRecieve(message);
      }
    } }, { key: 'delete', value: function _delete(

    index) {
      index = index || this.messageLength - 1;

      var deleted = this.messageLength.pop();

      this.deletedList.push(deleted);
      this.onDelete(deleted);
    } }, { key: 'filter', value: function filter(

    input) {
      var output = input.replace('bad input', 'good output'); // such amazing filter there right?
      return output;
    } }, { key: 'validate', value: function validate(

    input) {
      return !!input.length; // an amazing example of validation I swear.
    } }]);return Messenger;}();var


BuildHTML = function () {
  function BuildHTML() {_classCallCheck(this, BuildHTML);
    this.messageWrapper = 'message-wrapper';
    this.circleWrapper = 'circle-wrapper';
    this.textWrapper = 'text-wrapper';

    this.meClass = 'me';
    this.themClass = 'them';
  }_createClass(BuildHTML, [{ key: '_build', value: function _build(

    text, who) {
      return '<div class="' + this.messageWrapper + ' ' + this[who + 'Class'] + '">\n              <div class="' +
      this.circleWrapper + ' animated bounceIn"></div>\n              <div class="' +
      this.textWrapper + '">...</div>\n            </div>';

    } }, { key: 'me', value: function me(

    text) {
      return this._build(text, 'me');
    } }, { key: 'them', value: function them(

    text) {
      return this._build(text, 'them');
    } }]);return BuildHTML;}();


$(document).ready(function () {
  var messenger = new Messenger();
  var buildHTML = new BuildHTML();

  var $input = $('#input');
  var $send = $('#send');
  var $content = $('#content');
  var $inner = $('#inner');

  function safeText(text) {
    $content.find('.message-wrapper').last().find('.text-wrapper').text(text);
  }

  function animateText() {
    setTimeout(function () {
      $content.find('.message-wrapper').last().find('.text-wrapper').addClass('animated fadeIn');
    }, 350);
  }

  function scrollBottom() {
    $($inner).animate({
      scrollTop: $($content).offset().top + $($content).outerHeight(true) },
    {
      queue: false,
      duration: 'ease' });

  }

  function buildSent(message) {
    console.log('sending: ', message.text);

    $content.append(buildHTML.me(message.text));
    safeText(message.text);
    animateText();

    scrollBottom();
  }

  function buildRecieved(message) {
    console.log('recieving: ', message.text);

    $content.append(buildHTML.them(message.text));
    safeText(message.text);
    animateText();

    scrollBottom();
  }

  function sendMessage() {
    var text = $input.val();
    messenger.send(text);

    $input.val('');
    $input.focus();
  }

  messenger.onSend = buildSent;
  messenger.onRecieve = buildRecieved;

  setTimeout(function () {
    messenger.recieve('Hello there!');
  }, 1500);

  setTimeout(function () {
    messenger.recieve('Do you like this? If so check out more on my page...');
  }, 5000);

  setTimeout(function () {
    messenger.recieve('Or maybe just give it a like!');
  }, 7500);

  $input.focus();

  $send.on('click', function (e) {
    sendMessage();
  });

  $input.on('keydown', function (e) {
    var key = e.which || e.keyCode;

    if (key === 13) {// enter key
      e.preventDefault();

      sendMessage();
    }
  });
});
</script>
